# $Revision: 1.17 $, $Date: 2007-12-24 15:30:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	TagFilter
Summary:	HTML::TagFilter - an HTML::Parser-based selective tag remover
Summary(pl.UTF-8):	HTML::TagFilter - wybiórcze usuwanie znaczników oparte o HTML::Parser
Name:		perl-HTML-TagFilter
Version:	1.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e61d2f180e3ba55e5d71293d472ffebb
URL:		http://search.cpan.org/dist/HTML-TagFilter/
%if %{with tests}
BuildRequires:	perl-HTML-Parser >= 1.0
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tentatively titled HTML::TagFilter is a subclass of HTML::Parser
with a single purpose: it will remove unwanted HTML tags and
attributes from a piece of text. It can act in a more or less
fine-grained way - you can specify permitted tags, permitted
attributes of each tag, and permitted values for each attribute in as
much detail as you like.

%description -l pl.UTF-8
Nazwany tak na próbę HTML::TagFilter jest podklasą HTML::Parser o
jednym celu: usuwaniu niechcianych znaczników HTML i atrybutów z
fragmentu tekstu. Może działać w bardziej lub mniej precyzyjny
sposób - można podać dozwolone znaczniki, dozwolone atrybuty dla
każdego znacznika, dozwolone wartości dla każdego atrybutu w dowolnie
szczegółowy sposób.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-TagFilter.spec,v $
Revision 1.17  2007-12-24 15:30:01  qboosh
- generic URL

Revision 1.16  2007-12-24 02:11:51  zbyniu
- up to 1.03

Revision 1.15  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.13  2004/12/01 17:34:50  radek
- autoupdated to 0.091

Revision 1.12  2004/11/03 22:30:26  paladine
- formatting

Revision 1.11  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/22 06:53:53  ankry
- license fixes and unification

Revision 1.9  2003/11/01 00:53:02  qboosh
- updated to 0.075, new-style bcond

Revision 1.8  2003/09/21 21:48:43  adamg
- updated to 0.73

Revision 1.7  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.6  2003/05/28 13:00:41  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/05 21:58:33  ankry
- added %doc

Revision 1.3  2003/04/05 21:32:20  ankry
- cosmetics
- release 2 to avoid Ra conflict

Revision 1.2  2003/03/27 19:57:14  qboosh
- pl

Revision 1.1  2003/03/17 00:40:15  radek
- new
